public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Joonas Niilola" <juippis@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: games-util/pyfa/
Date: Wed, 29 Apr 2020 10:15:59 +0000 (UTC)	[thread overview]
Message-ID: <1588155339.bc73707999bf978e03b3b19139218ea060d496d7.juippis@gentoo> (raw)

commit:     bc73707999bf978e03b3b19139218ea060d496d7
Author:     Andreas Zuber <a.zuber <AT> gmx <DOT> ch>
AuthorDate: Tue Apr 28 08:00:32 2020 +0000
Commit:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Wed Apr 29 10:15:39 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=bc737079

games-util/pyfa: version bump to 2.20.3

This also adds support for python 3.7 and 3.8.

Closes: https://bugs.gentoo.org/719080
Package-Manager: Portage-2.3.89, Repoman-2.3.20
Signed-off-by: Andreas Zuber <a.zuber <AT> gmx.ch>
Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>

 games-util/pyfa/Manifest           |   1 +
 games-util/pyfa/pyfa-2.20.3.ebuild | 101 +++++++++++++++++++++++++++++++++++++
 2 files changed, 102 insertions(+)

diff --git a/games-util/pyfa/Manifest b/games-util/pyfa/Manifest
index 7cb29a67471..6593e77bfa3 100644
--- a/games-util/pyfa/Manifest
+++ b/games-util/pyfa/Manifest
@@ -2,3 +2,4 @@ DIST pyfa-2.17.0.tar.gz 12348275 BLAKE2B fd670a6d34760285561ed07e82c3c54eb9a74ca
 DIST pyfa-2.19.0.tar.gz 11822419 BLAKE2B 7aaa9d8fc7de7ab9fb246bdf1dd61aa4aac6035d37cc6ecf9e32b03e67baada7d3dc765d02a7d9ed75f5933ccd76f92c4ae79c822c0562f8658dd1b52dfdba4d SHA512 5083f125cfd7f5d32e76029a836089cb79c5c6c93397712d37054518ed9bd77092d0c610cecdb1d0afce40753276431cdec72699ffc04088162158b55c04bac8
 DIST pyfa-2.20.1.tar.gz 11834967 BLAKE2B 6caf4abb5ff543aa0dc4747a853775a03e20fe8fce5f174d791429ad021ecf955895e108127182f1872f23ccad862892a1afa2e22af27aafd198100604993d62 SHA512 6e6e04f9cd6e3dd127d51c666cf88eb700cc783b02d0b31220196925bc64bb1d88ea2c6a36bc45d71ba62cc53074bd509b46edd175f02e7b1fc736af13ce41ef
 DIST pyfa-2.20.2.tar.gz 11835308 BLAKE2B 3482ba068720ca735a5f794ede38dffda61ff571552c57a268263820b5b9085c6059be64c739d4ce67a9c95a1c4ba44136cb6aaa2ee7454514924e8c2de7e128 SHA512 14066b81ae77e600367255fa9ba079192f79a8d01d0194b894ba616d7a225e58141b9c2b980e99bfdf17403e665d1968e62a805f845c5065f8ed47de7950e44c
+DIST pyfa-2.20.3.tar.gz 11835182 BLAKE2B 0a298f565317a4a8894fda64dc01175080bf2d6b3d118168f0015dee5988742ddca4170faa72565e5b08bbb66752668e081b142e8d8d19b5fea019dc874e5306 SHA512 0971da1b3f6db6c8e4a0d5b24c5a7f267bbf10531ea0cf98263e779c86cbea419a783088f37a7f5d2b18b7f498f525d5c80724ebaf2cff1ae1e5290e2fac5704

diff --git a/games-util/pyfa/pyfa-2.20.3.ebuild b/games-util/pyfa/pyfa-2.20.3.ebuild
new file mode 100644
index 00000000000..254447e150c
--- /dev/null
+++ b/games-util/pyfa/pyfa-2.20.3.ebuild
@@ -0,0 +1,101 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="7"
+
+PYTHON_COMPAT=( python3_{6,7,8} )
+PYTHON_REQ_USE="sqlite"
+
+inherit desktop eutils python-single-r1 xdg-utils
+
+DESCRIPTION="Python Fitting Assistant - a ship fitting application for EVE Online"
+HOMEPAGE="https://github.com/pyfa-org/Pyfa"
+
+LICENSE="GPL-3+ all-rights-reserved"
+SLOT="0"
+if [[ ${PV} = 9999 ]]; then
+	EGIT_REPO_URI="https://github.com/pyfa-org/Pyfa.git"
+	inherit git-r3
+else
+	SRC_URI="https://github.com/pyfa-org/Pyfa/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+	KEYWORDS="~amd64 ~x86"
+	S="${WORKDIR}/Pyfa-${PV}"
+fi
+
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+RESTRICT="mirror bindist"
+
+DEPEND="
+	$(python_gen_cond_dep '
+		>=dev-python/cryptography-2.3[${PYTHON_MULTI_USEDEP}]
+		>=dev-python/logbook-1.0.0[${PYTHON_MULTI_USEDEP}]
+		>=dev-python/pyyaml-5.1[${PYTHON_MULTI_USEDEP}]
+		>=dev-python/sqlalchemy-1.3.0[${PYTHON_MULTI_USEDEP}]
+		>=dev-python/wxpython-4.0.4[webkit,${PYTHON_MULTI_USEDEP}]
+	')
+	${PYTHON_DEPS}"
+RDEPEND="${DEPEND}
+	$(python_gen_cond_dep '
+		>=dev-python/beautifulsoup-4.6.0[${PYTHON_MULTI_USEDEP}]
+		>=dev-python/markdown2-2.3.0[${PYTHON_MULTI_USEDEP}]
+		>=dev-python/packaging-16.8[${PYTHON_MULTI_USEDEP}]
+		dev-python/python-dateutil[${PYTHON_MULTI_USEDEP}]
+		>=dev-python/requests-2.0.0[${PYTHON_MULTI_USEDEP}]
+		>=dev-python/roman-2.0.0[${PYTHON_MULTI_USEDEP}]
+		>=dev-python/matplotlib-3.1.2[wxwidgets,${PYTHON_MULTI_USEDEP}]
+		dev-python/numpy[${PYTHON_MULTI_USEDEP}]
+	')"
+BDEPEND="app-arch/zip"
+
+PATCHES=(
+	# fix import path in the main script for systemwide installation
+	"${FILESDIR}/${PN}-2.9.3-import-pyfa.patch"
+)
+
+src_prepare() {
+	# get rid of CRLF line endings introduced in 1.1.10 so patches work
+	edos2unix config.py pyfa.py gui/bitmap_loader.py service/settings.py
+
+	default
+
+	# make python recognize pyfa as a package
+	touch __init__.py || die
+
+	sed -e "s:%%SITEDIR%%:$(python_get_sitedir):" \
+		-e "s:%%EPREFIX%%:${EPREFIX}:" \
+		"${FILESDIR}/configforced-1.15.1.py" > configforced.py || die
+	sed -e "s:%%SITEDIR%%:$(python_get_sitedir):" \
+		pyfa.py > pyfa || die
+}
+
+src_install() {
+	python_moduleinto ${PN}
+	python_domodule eos gui service utils graphs
+	python_domodule config*.py __init__.py version.yml configforced.py db_update.py
+	python_doscript pyfa
+
+	insinto /usr/share/${PN}
+
+	einfo "Creating database ..."
+	python ./db_update.py || die
+	doins eve.db
+
+	einfo "Compressing images ..."
+	pushd imgs > /dev/null || die
+	zip -r imgs.zip * || die "zip failed"
+	doins imgs.zip
+	popd > /dev/null || die
+
+	dodoc README.md
+	doicon -s 32 imgs/gui/pyfa.png
+	newicon -s 64 imgs/gui/pyfa64.png pyfa.png
+	domenu "${FILESDIR}/${PN}.desktop"
+}
+
+pkg_postinst() {
+	xdg_icon_cache_update
+}
+
+pkg_postrm() {
+	xdg_icon_cache_update
+}


             reply	other threads:[~2020-04-29 10:16 UTC|newest]

Thread overview: 51+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2020-04-29 10:15 Joonas Niilola [this message]
  -- strict thread matches above, loose matches on Subject: below --
2022-06-16 16:36 [gentoo-commits] repo/gentoo:master commit in: games-util/pyfa/ Sam James
2022-06-16 16:36 Sam James
2021-07-22  7:38 Joonas Niilola
2021-07-22  7:38 Joonas Niilola
2020-12-11  8:40 Joonas Niilola
2020-12-11  8:40 Joonas Niilola
2020-12-11  8:40 Joonas Niilola
2020-11-27  8:16 Joonas Niilola
2020-11-27  8:16 Joonas Niilola
2020-11-27  8:16 Joonas Niilola
2020-11-19 11:00 Joonas Niilola
2020-11-19 11:00 Joonas Niilola
2020-11-19 11:00 Joonas Niilola
2020-10-31  9:47 Joonas Niilola
2020-10-31  9:47 Joonas Niilola
2020-10-14  8:57 Joonas Niilola
2020-10-14  8:57 Joonas Niilola
2020-09-26 19:12 Joonas Niilola
2020-09-26 19:12 Joonas Niilola
2020-08-08  9:04 Joonas Niilola
2020-08-08  9:04 Joonas Niilola
2020-07-11  9:26 Joonas Niilola
2020-07-11  9:26 Joonas Niilola
2020-06-16  7:31 Joonas Niilola
2020-06-16  7:31 Joonas Niilola
2020-06-16  7:31 Joonas Niilola
2020-06-16  7:31 Joonas Niilola
2020-04-29 10:15 Joonas Niilola
2020-04-17 15:10 Joonas Niilola
2020-04-17  7:36 Joonas Niilola
2020-04-10 10:30 Joonas Niilola
2020-04-10 10:30 Joonas Niilola
2020-04-10 10:30 Joonas Niilola
2020-02-14 16:29 Joonas Niilola
2020-02-14 16:29 Joonas Niilola
2020-02-09 16:25 Michał Górny
2019-12-18 16:32 Joonas Niilola
2019-12-18 16:32 Joonas Niilola
2019-12-09 13:52 Ulrich Müller
2019-11-01  6:06 Joonas Niilola
2018-05-30 13:50 Michał Górny
2018-05-30 13:50 Michał Górny
2018-03-04 22:11 Patrice Clement
2018-02-18 17:16 Patrice Clement
2018-01-29  1:06 Thomas Deutschmann
2017-12-18 23:41 Aaron Swenson
2016-04-05  3:21 Alexandre Rostovtsev
2016-02-29  4:20 Alexandre Rostovtsev
2016-02-29  4:20 Alexandre Rostovtsev
2015-10-04 23:20 Alexandre Rostovtsev

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1588155339.bc73707999bf978e03b3b19139218ea060d496d7.juippis@gentoo \
    --to=juippis@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox